%define upstream_name pytool

Name:           python-%{upstream_name}
Version:        3.15.0
Release:        %mkrel 4
Summary:        A Collection of Python Tools
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/pytool/
Source0:        https://files.pythonhosted.org/packages/8c/e2/9acf34d32c282d9749e405f8d3467cfd3a2840db11fb93713172291173ac/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
pytool is a collection of often used helper methods and classes that make life
easier or fill in gaps in the Python Standard Library.

%package -n     python3-%{upstream_name}
Summary:        A Collection of Python Tools
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
pytool is a collection of often used helper methods and classes that make life
easier or fill in gaps in the Python Standard Library.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/pytool
%{python3_sitelib}/pytool-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 3.15.0-4.mga8
+ Revision: 1608303
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.15.0-3.mga8
+ Revision: 1533842
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 3.15.0-2.mga8
+ Revision: 1445467
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.15.0-1.mga8
+ Revision: 1417031
- imported package python-pytool

